Bug 2047813 (CVE-2022-21699) - CVE-2022-21699 ipython: arbitrary code execution by cross user temporary files mismanagment
Summary: CVE-2022-21699 ipython: arbitrary code execution by cross user temporary file...
Keywords:
Status: NEW
Alias: CVE-2022-21699
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2047815 2047814 2048252
Blocks: 2047816
TreeView+ depends on / blocked
 
Reported: 2022-01-28 15:44 UTC by Marian Rehak
Modified: 2022-05-09 08:32 UTC (History)
11 users (show)

Fixed In Version: ipython 8.0.1, ipython 7.31.1, ipython 7.16.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Marian Rehak 2022-01-28 15:44:23 UTC
Affected versions are subject to an arbitrary code execution vulnerability achieved by not properly managing cross user temporary files. This vulnerability allows one user to run code as another on the same machine. All users are advised to upgrade.

Reference:

https://github.com/ipython/ipython/security/advisories/GHSA-pq7m-3gw7-gq5x

Comment 1 Marian Rehak 2022-01-28 15:44:50 UTC
Created ipython tracking bugs for this issue:

Affects: epel-all [bug 2047815]
Affects: fedora-all [bug 2047814]


Note You need to log in before you can comment on or make changes to this bug.